import React, { createContext, useContext } from 'react';
import { BrowserRouter } from 'react-router-dom';
import { Route } from 'react-router';
/* eslint-enable */
import { buildRoutingContext } from './utils';
export const routerContext = createContext(buildRoutingContext([]));
export const useNamedRouting = () => useContext(routerContext);
const NamedRouter = ({ routerComponent: RouterComponent = BrowserRouter, routerProps, routes, children, }) => (React.createElement(RouterComponent, Object.assign({}, routerProps),
    React.createElement(Route, null, ({ history }) => (React.createElement(routerContext.Provider, { value: buildRoutingContext(routes, history) }, children)))));
export default NamedRouter;
