import React from 'react';
import { useNamedRouting } from './NamedRouter';
function withNamedRouting(Component) {
    const namedRouting = useNamedRouting();
    const WrappedComponent = (props) => (React.createElement(Component, Object.assign({}, props, { namedRouting: namedRouting })));
    WrappedComponent.displayName = `WithRouting(${Component.displayName || Component.name})`;
    return WrappedComponent;
}
export default withNamedRouting;
